Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 738728 (gnome-3.36-stable) - GNOME 3.36 stabilization
Summary: GNOME 3.36 stabilization
Status: CONFIRMED
Alias: gnome-3.36-stable
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords: CC-ARCHES
Depends on: 732620
Blocks: gnome-3.36 python38-stable-needed
  Show dependency tree
 
Reported: 2020-08-23 16:36 UTC by Mart Raudsepp
Modified: 2020-10-18 14:32 UTC (History)
9 users (show)

See Also:
Package list:
app-accessibility/brltty-6.1 amd64 arm64 ppc ppc64 x86 dev-lang/spidermonkey-68.12.0 amd64 arm arm64 hppa ppc ppc64 sparc x86 app-accessibility/at-spi2-core-2.36.0 amd64 arm arm64 ppc ppc64 s390 sparc x86 app-accessibility/orca-3.36.5 amd64 x86 app-crypt/gcr-3.36.0 amd64 arm arm64 ppc ppc64 sparc x86 app-crypt/seahorse-3.36.2 amd64 x86 app-editors/gedit-3.36.2 amd64 x86 app-editors/gedit-plugins-3.36.2 amd64 x86 app-editors/gnome-latex-3.36.0 amd64 x86 app-misc/bijiben-3.36.3 amd64 x86 app-misc/gnote-3.36.2 amd64 x86 app-text/evince-3.36.7 amd64 x86 app-text/gtranslator-3.36.0 amd64 x86 dev-cpp/glibmm-2.64.2 amd64 arm hppa ppc ppc64 sparc x86 dev-cpp/mm-common-1.0.1 amd64 arm hppa ppc ppc64 sparc x86 dev-lang/vala-0.48.9 amd64 arm arm64 hppa ppc ppc64 s390 sparc x86 dev-lang/vala-0.46.13 amd64 arm arm64 hppa ppc ppc64 s390 sparc x86 dev-libs/atk-2.36.0 amd64 arm arm64 ppc ppc64 s390 sparc x86 dev-libs/folks-0.14.0 amd64 x86 dev-libs/gdl-3.34.0 amd64 ppc ppc64 x86 dev-libs/gjs-1.64.4 amd64 arm arm64 ppc ppc64 sparc x86 dev-libs/glib-2.64.5 amd64 arm arm64 hppa ppc ppc64 s390 sparc x86 dev-libs/gobject-introspection-1.64.1-r1 amd64 hppa ppc ppc64 s390 x86 dev-libs/gobject-introspection-common-1.64.1 amd64 hppa ppc ppc64 s390 x86 dev-libs/jsonrpc-glib-3.34.0 amd64 x86 dev-libs/libdazzle-3.36.0 amd64 x86 dev-libs/libgnome-games-support-1.6.1 amd64 x86 dev-libs/libgusb-0.3.5 amd64 arm64 hppa x86 dev-libs/libgweather-3.36.1 amd64 x86 dev-libs/libxslt-1.1.34-r1 amd64 arm arm64 hppa ppc ppc64 s390 sparc x86 dev-libs/template-glib-3.34.0 amd64 x86 dev-libs/vala-common-0.48.9 amd64 arm arm64 hppa ppc ppc64 s390 sparc x86 dev-python/dbusmock-0.19 amd64 arm64 sparc x86 dev-python/pyatspi-2.36.0 amd64 sparc x86 dev-python/pygobject-3.36.1-r1 amd64 hppa ppc ppc64 s390 sparc x86 dev-util/devhelp-3.36.2 amd64 x86 dev-util/gdbus-codegen-2.64.5 amd64 arm arm64 hppa ppc ppc64 s390 sparc x86 dev-util/glade-3.36.0 amd64 arm arm64 ppc ppc64 sparc x86 dev-util/glib-utils-2.64.5 amd64 arm arm64 hppa ppc ppc64 s390 sparc x86 dev-util/gnome-builder-3.36.1 amd64 x86 dev-util/gtk-doc-1.32-r2 amd64 hppa ppc ppc64 s390 x86 dev-util/gtk-update-icon-cache-3.24.21 amd64 arm arm64 hppa ppc ppc64 s390 sparc x86 dev-util/sysprof-3.36.0 amd64 x86 dev-util/sysprof-capture-3.36.0 amd64 x86 games-arcade/gnome-nibbles-3.36.1 amd64 x86 games-arcade/gnome-robots-3.36.1 amd64 x86 games-board/four-in-a-row-3.36.4 amd64 x86 games-board/gnome-chess-3.36.1 amd64 x86 games-board/gnome-mahjongg-3.36.2 amd64 x86 games-board/gnome-mines-3.36.1 amd64 x86 games-board/iagno-3.36.4 amd64 x86 games-board/tali-3.36.4 amd64 x86 games-puzzle/gnome-klotski-3.36.3 amd64 x86 games-puzzle/gnome-sudoku-3.36.0 amd64 x86 games-puzzle/gnome-taquin-3.36.4 amd64 x86 games-puzzle/gnome-tetravex-3.36.4 amd64 x86 games-puzzle/hitori-3.36.0 amd64 x86 games-puzzle/lightsoff-3.36.0 amd64 x86 games-puzzle/quadrapassel-3.36.05 amd64 x86 gnome-base/dconf-0.36.0 amd64 arm arm64 ppc ppc64 s390 sparc x86 gnome-base/dconf-editor-3.36.4 amd64 x86 gnome-base/gdm-3.36.3 amd64 x86 gnome-base/gnome-3.36.5 amd64 x86 gnome-base/gnome-control-center-3.36.4 amd64 x86 gnome-base/gnome-core-apps-3.36.5 amd64 x86 gnome-base/gnome-core-libs-3.36.5 amd64 x86 gnome-base/gnome-desktop-3.36.5 amd64 arm64 x86 gnome-base/gnome-extra-apps-3.36.5 amd64 x86 gnome-base/gnome-keyring-3.36.0 amd64 arm arm64 ppc ppc64 sparc x86 gnome-base/gnome-light-3.36.5 amd64 x86 gnome-base/gnome-menus-3.36.0 amd64 ppc x86 gnome-base/gnome-session-3.36.0-r1 amd64 x86 gnome-base/gnome-settings-daemon-3.36.1 amd64 x86 gnome-base/gnome-shell-3.36.5 amd64 x86 gnome-base/gsettings-desktop-schemas-3.36.1 amd64 arm arm64 hppa ppc ppc64 s390 sparc x86 gnome-base/gvfs-1.44.1 amd64 arm arm64 ppc ppc64 sparc x86 gnome-base/librsvg-2.48.8 amd64 arm arm64 ppc64 x86 gnome-base/nautilus-3.36.3 amd64 arm64 x86 gnome-extra/evolution-data-server-3.36.5 amd64 x86 gnome-extra/evolution-ews-3.36.5 amd64 x86 gnome-extra/gnome-boxes-3.36.6 amd64 gnome-extra/gnome-calculator-3.36.0 amd64 x86 gnome-extra/gnome-calendar-3.36.2 amd64 x86 gnome-extra/gnome-clocks-3.36.2 amd64 x86 gnome-extra/gnome-color-manager-3.36.0 amd64 x86 gnome-extra/gnome-contacts-3.36.2 amd64 x86 gnome-extra/gnome-getting-started-docs-3.36.2 amd64 x86 gnome-extra/gnome-logs-3.36.0 amd64 x86 gnome-extra/gnome-shell-extensions-3.36.3 amd64 x86 gnome-extra/gnome-system-monitor-3.36.1 amd64 x86 gnome-extra/gnome-user-docs-3.36.2 amd64 x86 gnome-extra/gnome-weather-3.36.1 amd64 x86 gnome-extra/yelp-3.36.0 amd64 x86 gnome-extra/yelp-xsl-3.36.0 amd64 arm arm64 hppa ppc ppc64 s390 sparc x86 gui-libs/tepl-4.4.0 amd64 x86 mail-client/evolution-3.36.5 amd64 x86 media-fonts/cantarell-0.201 amd64 arm arm64 ppc ppc64 s390 sparc x86 media-gfx/eog-3.36.3 amd64 x86 media-gfx/eog-plugins-3.26.5 amd64 x86 media-gfx/gnome-photos-3.34.2 amd64 x86 media-gfx/shotwell-0.30.10 amd64 x86 media-gfx/simple-scan-3.36.4 amd64 x86 media-libs/cogl-1.22.8 amd64 x86 media-libs/gexiv2-0.12.1 amd64 arm arm64 ppc ppc64 sparc x86 media-libs/graphene-1.10.2 amd64 arm arm64 ppc ppc64 x86 media-sound/gnome-music-3.36.4.1 amd64 x86 net-irc/polari-3.36.3 amd64 x86 net-libs/glib-networking-2.64.3 amd64 hppa ppc ppc64 s390 sparc x86 net-libs/gnome-online-accounts-3.36.0 amd64 arm64 x86 net-libs/gupnp-1.2.4 amd64 arm64 ppc64 x86 net-misc/rygel-0.38.4 amd64 x86 sci-geosciences/gnome-maps-3.36.4 amd64 x86 sys-apps/baobab-3.34.1 amd64 x86 sys-apps/gnome-disk-utility-3.36.3 amd64 x86 sys-apps/osinfo-db-20200529 amd64 arm64 x86 sys-apps/osinfo-db-tools-1.8.0 amd64 arm64 x86 sys-libs/libosinfo-1.8.0-r1 amd64 arm64 x86 www-client/epiphany-3.36.4 amd64 x86 x11-libs/gtk+-3.24.22 amd64 arm arm64 ppc ppc64 s390 sparc x86 x11-libs/gtksourceview-4.6.1-r1 amd64 arm arm64 ppc ppc64 sparc x86 x11-libs/libwnck-3.36.0 amd64 arm ppc ppc64 sparc x86 x11-libs/vte-0.60.3 amd64 arm arm64 ppc ppc64 sparc x86 x11-terms/gnome-terminal-3.36.2 amd64 x86 x11-themes/adwaita-icon-theme-3.36.1 amd64 arm arm64 ppc ppc64 s390 sparc x86 x11-themes/gnome-backgrounds-3.36.0 amd64 x86 x11-wm/mutter-3.36.5 amd64 x86
Runtime testing required: ---
nattka: sanity-check+


Attachments
tatt tests + rdeps (ppc64) (brltty-738728.report,26.20 KB, text/plain)
2020-10-18 14:32 UTC, ernsteiswuerfel
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mart Raudsepp gentoo-dev 2020-08-23 16:36:12 UTC
Soon it is time to stabilize GNOME 3.36, as the core of it has been available for a while, and some stragglers are taken care of by now too.

Likely timeline is around 30th August to be ready with a package list and have these late bumps tested for at least a week meanwhile too. But can't guarantee from volunteer time, might be delayed a weekend or two.

Heavily considering flipping USE=wayland to default enabled in gnome profiles immediately before CCing arches as well.
Comment 1 Mart Raudsepp gentoo-dev 2020-08-29 11:16:13 UTC
Lets proceed.
Comment 2 NATTkA bot gentoo-dev 2020-08-29 11:22:01 UTC
Sanity check failed:

> app-accessibility/orca-3.36.5
>   depend amd64 stable profile default/linux/amd64/17.0 (39 total)
>     >=app-accessibility/brltty-5.0-r3[python,python_targets_python3_8(-)]
>   depend amd64 dev profile default/linux/amd64/17.0/no-multilib/prefix/kernel-3.2+ (2 total)
>     >=app-accessibility/brltty-5.0-r3[python,python_targets_python3_8(-)]
>   rdepend amd64 stable profile default/linux/amd64/17.0 (28 total)
>     >=app-accessibility/brltty-5.0-r3[python,python_targets_python3_8(-)]
>   rdepend amd64 dev profile default/linux/amd64/17.0/no-multilib/prefix/kernel-3.2+ (2 total)
>     >=app-accessibility/brltty-5.0-r3[python,python_targets_python3_8(-)]
>   rdepend x86 stable profile default/linux/x86/17.0 (11 total)
>     >=app-accessibility/brltty-5.0-r3[python,python_targets_python3_8(-)]
>     >=app-accessibility/speech-dispatcher-0.8[python,python_targets_python3_8(-)]
> dev-cpp/glibmm-2.64.2
>   bdepend arm stable profile default/linux/arm/17.0 (31 total)
>     >=dev-cpp/mm-common-1.0.0
>   bdepend arm dev profile default/linux/arm/17.0/armv4 (33 total)
>     >=dev-cpp/mm-common-1.0.0
> dev-libs/gjs-1.64.4
>   depend amd64 stable profile default/linux/amd64/17.0 (76 total)
>     dev-lang/spidermonkey:68
>   depend amd64 dev profile default/linux/amd64/17.0/no-multilib/prefix/kernel-3.2+ (35 total)
>     dev-lang/spidermonkey:68
>   rdepend amd64 stable profile default/linux/amd64/17.0 (76 total)
>     dev-lang/spidermonkey:68
>   rdepend amd64 dev profile default/linux/amd64/17.0/no-multilib/prefix/kernel-3.2+ (35 total)
>     dev-lang/spidermonkey:68
> dev-libs/libxslt-1.1.34-r1
>   depend ppc stable profile default/linux/powerpc/ppc32/17.0 (19 total)
>     >=dev-libs/libxml2-2.9.10:2
>   rdepend ppc stable profile default/linux/powerpc/ppc32/17.0 (19 total)
>     >=dev-libs/libxml2-2.9.10:2
>   depend ppc64 dev profile default/linux/ppc64le/17.0/desktop/plasma (2 total)
>     >=dev-libs/libxml2-2.9.10:2
>   rdepend ppc64 dev profile default/linux/ppc64le/17.0/desktop/plasma (2 total)
>     >=dev-libs/libxml2-2.9.10:2
> gnome-extra/filemanager-actions-3.4
>   depend amd64 stable profile default/linux/amd64/17.0 (39 total)
>     >=gnome-extra/nemo-1.8
>   depend amd64 dev profile default/linux/amd64/17.0/no-multilib/prefix/kernel-3.2+ (2 total)
>     >=gnome-extra/nemo-1.8
>   rdepend amd64 stable profile default/linux/amd64/17.0 (39 total)
>     >=gnome-extra/nemo-1.8
>   rdepend amd64 dev profile default/linux/amd64/17.0/no-multilib/prefix/kernel-3.2+ (2 total)
>     >=gnome-extra/nemo-1.8
> gnome-extra/gnome-shell-extensions-3.36.3
>   depend amd64 stable profile default/linux/amd64/17.0 (31 total)
>     dev-lang/spidermonkey:68
>   depend amd64 dev profile default/linux/amd64/17.0/no-multilib/prefix/kernel-3.2+ (2 total)
>     dev-lang/spidermonkey:68
Comment 3 NATTkA bot gentoo-dev 2020-08-29 13:13:43 UTC
Sanity check failed:

> app-accessibility/orca-3.36.5
>   rdepend x86 stable profile default/linux/x86/17.0 (11 total)
>     >=app-accessibility/speech-dispatcher-0.8[python,python_targets_python3_8(-)]
Comment 4 Thomas Deutschmann gentoo-dev Security 2020-08-30 15:18:13 UTC
x86 stable
Comment 5 Sam James archtester gentoo-dev Security 2020-08-30 17:31:05 UTC
amd64 done
Comment 6 Sam James archtester gentoo-dev Security 2020-08-30 18:14:36 UTC
arm64 done
Comment 7 Sam James archtester gentoo-dev Security 2020-08-31 02:39:35 UTC
arm done
Comment 8 Mart Raudsepp gentoo-dev 2020-08-31 07:04:46 UTC
Changing gtksourceview to revision without gentoo syntax highlighting regression
Comment 9 NATTkA bot gentoo-dev 2020-09-25 19:56:58 UTC
Unable to check for sanity:

> no match for package: dev-python/pygobject-3.36.1
Comment 10 NATTkA bot gentoo-dev 2020-09-26 16:25:04 UTC
Unable to check for sanity:

> dependent bug #710748 has errors
Comment 11 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-10-09 08:26:17 UTC
hppa, ppc, ppc64, ping.  If a separate bug for libxslt would be better, let me know.
Comment 12 ernsteiswuerfel 2020-10-18 14:32:55 UTC
Created attachment 666533 [details]
tatt tests + rdeps (ppc64)

Looking good on ppc64..

Some brltty USE-flag combinations fail (bug #739632), at-spi2-core fails tests (bug #678372).
rdeps gparted (bug #729332), po4a (bug #733680), gst-plugins-base (bug #650636) fail tests.